import { __awaiter } from "tslib";
import { FASTRouter } from '@microsoft/fast-router';
import { CreateEdit } from './create-edit';
import { List } from './list';
import { Preview } from './preview';
import { SelectFields } from './select-fields';
import { SelectFilters } from './select-filters';
import { Wizard } from './wizard';
export function loadRemotes() {
    return __awaiter(this, void 0, void 0, function* () {
        const { registerZeroDesignSystem } = yield import(
        /* webpackMode: "lazy" */
        '@genesislcap/foundation-zero');
        return {
            ZeroDesignSystem: registerZeroDesignSystem(),
        };
    });
}
/**
 * Ensure tree shaking doesn't remove these
 * Perhaps we keep these MFs style free, ie. they need to get wrapped to have style applied. Keeping it simple for now.
 */
FASTRouter;
/**
 * Load custom components for reporting
 */
CreateEdit;
List;
Preview;
SelectFields;
SelectFilters;
Wizard;
